Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 654024 - net-irc/quassel-0.12.5 with Qt 5.11: Unknown CMake command "qt5_use_modules"
Summary: net-irc/quassel-0.12.5 with Qt 5.11: Unknown CMake command "qt5_use_modules"
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Patrick Lauer
URL: https://github.com/quassel/quassel/co...
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: qt-5.11
  Show dependency tree
 
Reported: 2018-04-24 22:12 UTC by Andreas Sturmlechner
Modified: 2018-07-10 12:03 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (net-irc:quassel-0.12.5:20180424-220616.log,8.50 KB, text/x-log)
2018-04-24 22:12 UTC, Andreas Sturmlechner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2018-04-24 22:12:32 UTC
Created attachment 528446 [details]
build.log

CMake Error at cmake/QuasselMacros.cmake:50 (qt5_use_modules):
  Unknown CMake command "qt5_use_modules".
Call Stack (most recent call first):
  src/common/CMakeLists.txt:92 (qt_use_modules)
Comment 1 Johannes Huber gentoo-dev 2018-05-05 06:19:27 UTC
Will apply the patch.
Comment 2 Larry the Git Cow gentoo-dev 2018-05-05 06:34:01 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b0bd50d27fdff029ed265435c6a543ce0fc5d699

commit b0bd50d27fdff029ed265435c6a543ce0fc5d699
Author:     Johannes Huber <johu@gentoo.org>
AuthorDate: 2018-05-05 06:33:38 +0000
Commit:     Johannes Huber <johu@gentoo.org>
CommitDate: 2018-05-05 06:33:38 +0000

    net-irc/quassel: Revision bump 0.12.5-r1
    
    Adds an upstream patch which fixes the build with Qt 5.11.
    
    Thanks-to: Manuel Nickschas <sputnick@quassel-irc.org>
    Reported-by: Andreas Sturmlechner <asturm@gentoo.org>
    Closes: https://bugs.gentoo.org/654024
    Package-Manager: Portage-2.3.36, Repoman-2.3.9

 net-irc/quassel/files/quassel-0.12.5-qt511.patch |  67 +++++++++
 net-irc/quassel/quassel-0.12.5-r1.ebuild         | 184 +++++++++++++++++++++++
 2 files changed, 251 insertions(+)